Subject: SF bathhouse meetings
From: [email-masked]
Date: Thu, 8 Apr 1999 14:30:20 EDT

Dear friends,

The San Francisco HIV Prevention Planning Council meets today, April 8 at 
3:00 p.m. and several sex activists who favor reopening gay bathhouses will 
attend.  During the public comment time, which is the third item on the 
agenda, we shall demand the council take a position supporting bathhouses 
being allowed to operate again.  If you can make it to this meeting, please 
join our effort to bring back bathhouses.

The meeting is at the First Unitarian Church, 1187 Franklin Street at Geary 
Boulevard.  I hope to see you there.

Also, the coalition of groups and individuals that met last Sunday at the MCC 
will meet again.  The next meeting for this coalition is Sunday, April 11 at 
6:00 p.m. at MCC, located at 150 Eureka Street, near 18th Street in San 
Francisco.    Mark your calendars and join us as we revive gay male sexual 
liberation in our little queer mecca.

Questions?  Call me at 415-621-6267.

--Michael Petrelis